Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159919 - CAN-2005-1765 x86_64 crash (syscal-page-fix)
Summary: CAN-2005-1765 x86_64 crash (syscal-page-fix)
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Peter Staubach
QA Contact: Brian Brock
URL:
Whiteboard: source=vendorsec,public=20050602,impa...
Depends On:
Blocks: 145411
TreeView+ depends on / blocked
 
Reported: 2005-06-09 09:39 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-26 08:14:52 UTC


Attachments (Terms of Use)
Proposed patch (deleted)
2005-06-09 09:39 UTC, Mark J. Cox
no flags Details | Diff

Description Mark J. Cox 2005-06-09 09:39:05 UTC
Thus patch fixes a DoS affecting x86_64 2.6 where a compat mode program can hang
the kernel.

Comment 1 Mark J. Cox 2005-06-09 09:39:05 UTC
Created attachment 115255 [details]
Proposed patch

Comment 2 Mark J. Cox 2005-07-08 08:19:58 UTC
Looks public, fixed in a SUSE kernel

Comment 3 Peter Staubach 2005-07-15 20:15:07 UTC
I need some more information in order to facilitate integrating the changes
as suggested.

What problem is being described here?  The single sentence in the first
comment does not contain quite enough information.

How do I reproduce the problem?  I'd like to know whether the changes
really address the problem.

Comment 4 Mark J. Cox 2005-07-18 08:02:28 UTC
Sorry, we have no information other than that one line which was forwarded to us
on vendor-sec and the patch.  I've mailed the patch author and SUSE and cc'd
you, I hope this gives you the information you need.

Comment 5 Peter Staubach 2005-07-18 11:50:48 UTC
Hopefully, some of those folks will respond.  Otherwise, there is not really
sufficient information to 1) understand the changes and 2) test to see whether
they address a real problem or not.

Comment 6 Peter Staubach 2005-07-18 20:45:26 UTC
From the field:

> The patch is broken anyways, i would recommend to not apply it right now.

--

So, without some more information, it is not possible to proceed at this
time.  When some more information is available, then we can look at this
situation further.


Note You need to log in before you can comment on or make changes to this bug.